Name:		xcb-util-renderutil
Version:	0.3.9
Release:	6%{?dist}
Summary:	Convenience functions for the Render extension
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires: make
BuildRequires:  gcc
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8
BuildRequires:	m4

%description
XCB util-renderutil module provides the following library:

  - renderutil: Convenience functions for the Render extension.


%package 	devel
Summary:	Development and header files for xcb-util-renderutil
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-renderutil.



%prep
%autosetup



%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build



%check
make check



%install
%make_install
rm %{buildroot}%{_libdir}/*.la



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.9-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.3.9-1
- initial
